"use strict";
const common_vendor = require("../../../common/vendor.js");
if (!Array) {
  const _easycom_up_icon2 = common_vendor.resolveComponent("up-icon");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  (_easycom_up_icon2 + _easycom_uni_icons2)();
}
const _easycom_up_icon = () => "../../../node-modules/uview-plus/components/u-icon/u-icon.js";
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  (_easycom_up_icon + _easycom_uni_icons)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "CollectionMethods",
  props: ["valueModel"],
  emits: ["update:valueModel"],
  setup(__props, { emit }) {
    const props = __props;
    const valueModel = common_vendor.ref("");
    const handleSelect = (e) => {
      valueModel.value = e == null ? void 0 : e.type;
      emit("update:valueModel", e == null ? void 0 : e.type);
    };
    const list = [
      {
        label: "电话催缴",
        des: "直接电话联系",
        type: "PhoneCall",
        icon: "phone",
        color: "#00B75F"
      },
      {
        label: "上门催缴",
        des: "实地走访",
        type: "Visit",
        icon: "home",
        color: "#DF3600"
      },
      {
        label: "微信联系",
        des: "通过微信沟通",
        type: "WeChat",
        icon: "weixin-fill",
        color: "#00B75F"
      },
      {
        label: "书面通知",
        des: "张贴催缴通知",
        type: "WrittenNotice",
        icon: "edit-pen",
        color: "#0082FA"
      }
    ];
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(list, (i, index, i0) => {
          return common_vendor.e({
            a: "b14fc94b-0-" + i0,
            b: common_vendor.p({
              name: i == null ? void 0 : i.icon,
              color: i == null ? void 0 : i.color,
              size: "26"
            }),
            c: common_vendor.t(i == null ? void 0 : i.label),
            d: (props == null ? void 0 : props.valueModel) === (i == null ? void 0 : i.type) || valueModel.value === (i == null ? void 0 : i.type)
          }, (props == null ? void 0 : props.valueModel) === (i == null ? void 0 : i.type) || valueModel.value === (i == null ? void 0 : i.type) ? {
            e: "b14fc94b-1-" + i0,
            f: common_vendor.p({
              type: "circle-filled",
              size: "18",
              color: "#0082FA"
            })
          } : {
            g: "b14fc94b-2-" + i0,
            h: common_vendor.p({
              type: "circle",
              size: "18",
              color: "#999"
            })
          }, {
            i: common_vendor.t(i == null ? void 0 : i.des),
            j: `item_${index}`,
            k: common_vendor.o(($event) => handleSelect(i), `item_${index}`)
          });
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-b14fc94b"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/BILL/outstanding_fee/components/CollectionMethods.vue"]]);
wx.createComponent(Component);
